<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.van333.mt2ql.wxMessage.mapper.WxMessageDataForChatMapper">

    <resultMap id="BaseResultMap" type="cn.van333.mt2ql.wxMessage.model.WxMessageDataForChat">
            <result property="timestamp" column="timeStamp" jdbcType="BIGINT"/>
            <result property="fromtype" column="fromType" jdbcType="INTEGER"/>
            <result property="msgtype" column="msgType" jdbcType="INTEGER"/>
            <result property="msgsource" column="msgSource" jdbcType="INTEGER"/>
            <result property="fromwxid" column="fromWxid" jdbcType="VARCHAR"/>
            <result property="finalfromwxid" column="finalFromWxid" jdbcType="VARCHAR"/>
            <result property="atwxidlist" column="atWxidList" jdbcType="VARCHAR"/>
            <result property="silence" column="silence" jdbcType="INTEGER"/>
            <result property="membercount" column="membercount" jdbcType="INTEGER"/>
            <result property="signature" column="signature" jdbcType="VARCHAR"/>
            <result property="msg" column="msg" jdbcType="VARCHAR"/>
            <result property="msgbase64" column="msgBase64" jdbcType="VARCHAR"/>
            <result property="msgid" column="msgId" jdbcType="VARCHAR"/>
            <result property="msgtypestr" column="msgTypeStr" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        timeStamp,fromType,msgType,
        msgSource,fromWxid,finalFromWxid,
        atWxidList,silence,membercount,
        signature,msg,msgBase64,
        msgId,msgTypeStr
    </sql>
</mapper>
